Bug 214593 - x11-drivers/xf86-video-intel: Update to 2.99.917.20170103
Summary: x11-drivers/xf86-video-intel: Update to 2.99.917.20170103
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks: 214591
  Show dependency treegraph
 
Reported: 2016-11-17 00:41 UTC by Matthew Rezny
Modified: 2017-02-15 10:00 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
update xf86-video-intel to 2.99.917.20160614 (42.97 KB, patch)
2016-11-17 00:41 UTC, Matthew Rezny
no flags Details | Diff
update xf86-video-intel to 2.99.917.20161118 (45.31 KB, patch)
2016-12-02 10:24 UTC, Matthew Rezny
no flags Details | Diff
update xf86-video-intel to 2.99.917.20170103 (45.42 KB, patch)
2017-01-15 19:30 UTC, Matthew Rezny
no flags Details | Diff
update xf86-video-intel to 2.99.917.20170103 (45.41 KB, patch)
2017-01-19 18:04 UTC, Matthew Rezny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2016-11-17 00:41:00 UTC
Created attachment 177101 [details]
update xf86-video-intel to 2.99.917.20160614

This is a fairly large update on the Intel DDX. There are a lot of obsolete patches removed (many of which had been added to allow the ancient 2.21.15 DDX to work with recent Xorg server) and a few new patches added. There has yet to be a 3.0 release more than a year after expected, so the update is to a recent 2.99 snapshot, the same that is in the external repo. Compared to that repo, this patch differs only by exclusion of the experimental DRI3 option for which there is no support in the kernel DRM drivers.

QA: builds clean on 10/11 amd64 and I have run this and the previous 2.99 snapshot on 10-STABLE amd64 for months.

My testing is all older hardware which works with UXA. Some newer hardware may be better of with SNA. Users should also try modesetting DDX (included in xorg-server 1.18) as an alternative if there are issues with this driver.
Comment 1 Ivan 2016-11-17 20:01:44 UTC
Does it bring support for new Intel CPUs ? I thought it's not possible without drm update.
Comment 2 Matthew Rezny freebsd_committer 2016-11-19 15:11:42 UTC
(In reply to Ivan from comment #1)

The updated Intel DDX is compatible with newer Intel GPUs, but the kernel drm driver (i915kms) needs to be updated for those newer GPUs. This updated DDX can be used on recent Intel GPUs in conjunction with Matt Macy's drm-next-4.7 branch, which has an updated i915 drm driver running atop LinuxKPI.

Updating the Intel driver from 2.21 to 2.99.x is required for compatibility with newer versions of Xorg server. Version 2.21 of the Intel DDX would not be working with xorg-server 1.17 had I not backported numerous changes from 2.99 previously. A newer snapshot will be needed for 1.19, but at the moment I'm only concerned with getting in version 1.18 of xorg-server as the majority of drivers have not yet had a release compatible with 1.19.
Comment 3 Matthew Rezny freebsd_committer 2016-12-02 10:24:23 UTC
Created attachment 177597 [details]
update xf86-video-intel to 2.99.917.20161118

I have updated the Intel DDX to the current snapshot when xorg-server 1.19 was released. I have tested to verify compatibility with both 1.18 and 1.19. SNA is the default now and an xorg.conf(.d) is required to choose UXA on hardware that does not support SNA, otherwise X server will crash on start with segfault in the Intel DDX.
Comment 4 Matthew Rezny freebsd_committer 2017-01-15 19:30:11 UTC
Created attachment 178933 [details]
update xf86-video-intel to 2.99.917.20170103

The previous snapshot was believed to be compatible with 1.19, however there was a commit a few weeks later to handle changes in 1.19, so update once again. This patch also sets UXA as default, which works on all Intel hardware and was the previous default. If the default is left as SNA, then Xorg server crashes on start when run on hardware older than Sandy Bridge if there if UXA is not specified in the config file. Those who wish to use SNA can do so via a config file.
Comment 5 Matthew Rezny freebsd_committer 2017-01-19 18:04:38 UTC
Created attachment 179075 [details]
update xf86-video-intel to 2.99.917.20170103

I've updated the patch to not disable DRI3 at build time. DRI2 is still the runtime default but users may attempt DRI3 as well as SNA via xorg.conf.d
Comment 6 nhoyle 2017-01-23 17:32:39 UTC
I just attempted this patch (179075) to upgrade to 2.99; from what I can tell I need fixes/updated in 2.99 to fix DRI2 on my chip. After applying the patch, when attempting to built the port, it gets to:

===> Applying FreeBSD patches for xf86-video-intel-2.99.917.20170103
  I can't seem to find a patch in there anywhere.
=> FreeBSD patch patch-clang failed to apply cleanly.

The build then halts. Is there an easy fix for this? Apologies, I'm not familiar enough with the way ports build to know how to tell it to forget about that (now empty) patch file.